[COMO] Compilar aMSN 0.97 con antialiasing en Ubuntu 8.04

Imagen de Lehmer
4 puntos

aMSN es un cliente de mensajería instantánea para la red MSN. Originalmente fue un clon del programa de windows MSN Messenger. Esto significa que tenía la misma apariencia que su homólogo de windows. Desde entonces aMSN se ha convertido en un cliente más maduro, tiene su propia apariencia y sus propias características.

Estas características incluyen:

* Completo soporte para los emoticonos en las conversaciones
* Históricos
* Alarmas
* Preferencias personalizadas para cada usuario
* Soporte para múltiples perfiles y múltiples conexiones simultáneamente
* Características MSNP2P (fotos personales, emoticonos personales, transferencia de ficheros)
* Control Remoto
* Mensajes away (cuando no estas delante del equipo)
* Interface altamente configurable.

aMSN se desarrolla bajo la licencia GPL. Esto significa que es 100% código abierto y 100% libre y gratis. Cualquiera puede usar el código de aMSN, redistribuirlo, modificarlo o ponerlo como fondo del escritorio bajo la licencia GPL

Como la mayor parte de los esfuerzos de código abierto en Internet, aMSN es desarrollado por multitud de desarrolladores de todas partes del mundo, principalmente España y Quebec.
SourceForge.net proporciona al proyecto todo lo que necesita desde alojamiento, CVS hasta análisis de estadísticas.

Bien, entonces ahora vamos a realizar la compilación de la última versión de aMSN con soporte de antialiasing.

Si habías instalado anteriormente desde los repositorios aMSN y tcltls, los quitamos

$ sudo apt-get remove tcltls amsn

Ahora instalamos los paquetes necesarios para realizar la compilación
$ sudo apt-get build-dep tcl8.4 tk8.4
$ sudo apt-get install libxft-dev

Creamos una carpeta en nuestro home, para descargar los paquetes que vamos a compilar

$ sudo mkdir /home/tu_usuario/amsn
$ cd /home/tu_usuario/amsn

Una vez dentro de la carpeta amsn, vamos a descargar y compilar TCL

$ sudo wget http://prdownloads.sourceforge.net/tcl/tcl8.5.2-src.tar.gz
$ sudo tar xzvf tcl8.5.2-src.tar.gz
$ cd tcl8.5.2/unix
$ sudo ./configure --prefix=/usr
$ sudo make
$ sudo make install

Volvemos a la carpeta amsn y nos corresponde descargar y compilar Tk

$ sudo wget http://prdownloads.sourceforge.net/tcl/tk8.5.2-src.tar.gz
$ sudo tar xzvf tk8.5.2-src.tar.gz
$ cd tk8.5.2/unix
$ sudo ./configure --prefix=/usr --enable-xft
$ sudo make
$ sudo make install

Nuevamente volvemos a la carpeta amsn que hemos creado y descargamos y compilamos amsn 0.97

$ sudo wget http://prdownloads.sourceforge.net/amsn/amsn-0.97.2.tar.bz2 (cambiad este enlace por la version mas actual que la podreis encontrar aquí: http://www.amsn-project.net/linux-downloads.php#tarball)

$ sudo tar jvxf amsn-0.97.2.tar.bz2
$ cd amsn-0.97.2
$ sudo ./configure --with-tcl=/usr/lib/ --with-tk=/usr/lib/
$ sudo make
$ sudo make install

En caso que al compilar amsn te arrojara errores, realiza lo siguiente y vuelve a intentar:

$ cd /usr/bin
$ sudo rm wish
$ sudo ln -s wish8.5 wish

Listo, ahora puedes arrancar amsn

--------------------------------------------

Si al abrirlo te pide el módulo TLS haz lo que sigue (si no ya has terminado):

Entra aquí: http://sourceforge.net/project/showfiles.php?group_id=13248 y te bajas la correspondiente a tu estructura. Si no encuentras (ejemplo 64 bits) bajate el código sin compilar: tls1.5.0-src.tar.gz (http://surfnet.dl.sourceforge.net/sourceforge/tls/tls1.5.0-src.tar.gz)

Ahora lo movemos a la carpeta /home/usuario/.amsn/plugins con la orden

$ sudo mv tls1.5.0-src.tar.gz /home/usuario/.amsn/plugins

Entramos en el directorio

$ cd /home/usuario/.amsn/plugins/

Descomprimimos

$ sudo tar -xzvf tls1.5.0-src.tar.gz

Accedemos a la carpeta

$ cd tls1.5.0/

Y procedemos a instalar:

$ sudo ./configure --with-ssl-dir=/usr
$ sudo make
$ sudo make install

Ahora cerramos el terminal y abrimos amsn

Vamos a Cuenta -Preferencias - Avanzadas y buscamos una lína que pone TLS:, donde escribimos (si hay algo se borra) "/usr/local/lib/tls1.50" (sin las comillas)

Imagen de Saulot
+1
0
-1

Para este tipo de post existe un subforo especial: Tutoriales y trucos.

Además, se recomienda colocar en el título [COMO] o [HOWTO] para que la gente sepa que se trata de una explicación y no una duda.

+1
0
-1
Imagen de Lehmer
+1
0
-1

Lo del [COMO] lo sabia pero se me paso porque andaba con prisas...
En cuanto a lo del subforo, no sabia donde ubicarloy lo puse en el que me pareció más apropiado.

En cualquier caso, Gracias

+1
0
-1
Imagen de Lehmer
+1
0
-1

Lo del [COMO] lo sabia pero se me paso porque andaba con prisas...
En cuanto a lo del subforo, no sabia donde ubicarlo y lo puse en el que me pareció más apropiado.

En cualquier caso, Gracias

+1
0
-1
Imagen de ketk
+1
0
-1

Movido a la sección correspondiente y editado el título.

Equipo de Ubuntu-es

+1
0
-1

TuVela.com información, tutoriales, curiosidades y más sobre Ubuntu, GNU/Linux y otros temas de mi interés. 6b 65 74 6b


Imagen de dark jessika
+1
0
-1

En vez de hacer un
sudo make install
lo cambiáramos por
sudo make deb
o entrar con fakeroot y hacer
make deb
Sirve para tener tu paquete deb y para poder
instalarlo y desinstalarlo fácilmente con apt
Es solo una sugerencia ;-) (has probado eliminar algo instalado por
make install?) :-P
Firma:
atte
Jessica
mi correo de contacto darkobbitt@gmail.com

+1
0
-1
Imagen de Lehmer
+1
0
-1

No lo sabia. Dicen que nunca te acostarás sin saber una cosa más, jejej
Pues eso, gracias por la info

+1
0
-1
Imagen de niandubay
+1
0
-1

pues la verdad que no me va, me saltan errores al compilar el amsn, con tk y tcl no hay problemas, pero con el amsn... mal mal, te quería pedir si ya que tenías bien instalado el amsn 0.97.2 con antialiasing y todo eso, pues que hagas un deb, y si lo subes a algún lado... rapidshare o algo así, a ver si así lo logro instalar, es que la versión que yo conseguí en .deb usa tk/tcl 8.4 .... :( , bueno, un saludo y gracias.

+1
0
-1

Muchas veces no entiendo y otras ni me entero de lo que tengo que entender.....

Imagen de Lehmer
+1
0
-1

Si mirases al final del post verias que, si da errores al compilar, debes hacer lo que sigue:

$ cd /usr/bin/
$ sudo rm wish
$ sudo ln -s wish8.5 wish

Si asi no te corre, entonces no se cual sera el problema

+1
0
-1
Imagen de Lehmer
+1
0
-1

Aquí os dejo el enlace para bajaros el deb:

http://ifile.it/k7w42f8

+1
0
-1
Imagen de spieluhr
+1
0
-1

no tienes un deb que sea para i386 pq ese es amd64

+1
0
-1
Imagen de TuxUbuntu
+1
0
-1

De aqui pueden desacrgar los archivos .deb (autoinstalables) del aMSN 0.97.2 compilados para Ubuntu 32 y 64 bits

Descargar deb para 32 y 64 bits


www.ubuntu.tuxubuntu.com
El conocimiento y la educación es de todos.
+1
0
-1

www.tuxubuntu.com
El conocimiento y la educación es de todos.

Imagen de Tonno
+1
0
-1

Los consigues aqui
www.getdeb.net

+1
0
-1

The Kattollikisd's Life Inc.

Imagen de spieluhr
+1
0
-1

no tienes un deb que sea para i386 pq ese es amd64

+1
0
-1
Imagen de Lehmer
+1
0
-1

lo siento peor el deb lo he generado en terminal con "sudo make deb" a partir de un codigo sin compilar GENERICO, pero al detectar la escturctura de mi pc (64bits) ha generado el correspondiente... Para que el deb creado sea i386 deberas crearlo tu... (o alguien q tenga un pc cn ese procesador)

lo siento

+1
0
-1
Imagen de Lehmer
+1
0
-1

lo siento peor el deb lo he generado en terminal con "sudo make deb" a partir de un codigo sin compilar GENERICO, pero al detectar la escturctura de mi pc (64bits) ha generado el correspondiente... Para que el deb creado sea i386 deberas crearlo tu... (o alguien q tenga un pc cn ese procesador)

lo siento

+1
0
-1
Imagen de Lehmer
+1
0
-1

lo siento peor el deb lo he generado en terminal con "sudo make deb" a partir de un codigo sin compilar GENERICO, pero al detectar la escturctura de mi pc (64bits) ha generado el correspondiente... Para que el deb creado sea i386 deberas crearlo tu... (o alguien q tenga un pc cn ese procesador)

lo siento

+1
0
-1
Imagen de Lehmer
+1
0
-1

lo siento peor el deb lo he generado en terminal con "sudo make deb" a partir de un codigo sin compilar GENERICO, pero al detectar la escturctura de mi pc (64bits) ha generado el correspondiente... Para que el deb creado sea i386 deberas crearlo tu... (o alguien q tenga un pc cn ese procesador)

lo siento

+1
0
-1
Imagen de Lehmer
+1
0
-1

lo siento peor el deb lo he generado en terminal con "sudo make deb" a partir de un codigo sin compilar GENERICO, pero al detectar la escturctura de mi pc (64bits) ha generado el correspondiente... Para que el deb creado sea i386 deberas crearlo tu... (o alguien q tenga un pc cn ese procesador)

lo siento

+1
0
-1
Imagen de Lehmer
+1
0
-1

lo siento peor el deb lo he generado en terminal con "sudo make deb" a partir de un codigo sin compilar GENERICO, pero al detectar la escturctura de mi pc (64bits) ha generado el correspondiente... Para que el deb creado sea i386 deberas crearlo tu... (o alguien q tenga un pc cn ese procesador)

lo siento

+1
0
-1
Imagen de Tonno
+1
0
-1

Si al abrirlo te pide el módulo TLS haz lo que sigue (si no ya has terminado):

Entra aquí: http://sourceforge.net/project/showfiles.php?group_id=13248 y te bajas la correspondiente a tu estructura. Si no encuentras (ejemplo 64 bits) bajate el código sin compilar: tls1.5.0-src.tar.gz (http://surfnet.dl.sourceforge.net/sourceforge/tls/tls1.5.0-src.tar.gz)

Ahora lo movemos a la carpeta /home/usuario/.amsn/plugins con la orden

$ sudo mv tls1.5.0-src.tar.gz /home/usuario/.amsn/plugins

Entramos en el directorio

$ cd /home/usuario/.amsn/plugins/

Descomprimimos

$ sudo tar -xzvf tls1.5.0-src.tar.gz

Accedemos a la carpeta

$ cd tls1.5.0/

Y procedemos a instalar:

$ sudo ./configure --with-ssl-dir=/usr
$ sudo make
$ sudo make install

me puedes explicar
perdoname... es que soy un novato en Linux...
Es que veo que me hablas de tls1.5
y en la pajina que me diste ahy dice tls1.6

+1
0
-1

The Kattollikisd's Life Inc.

Imagen de TuxUbuntu
+1
0
-1

De aqui pueden desacrgar los archivos .deb (autoinstalables) del aMSN 0.97.2 compilados para Ubuntu 32 y 64 bits

Amsn 32 y 64 bits


www.tuxubuntu.com
El conocimiento y la educación es de todos.
+1
0
-1

www.tuxubuntu.com
El conocimiento y la educación es de todos.

Imagen de ACS275
+1
0
-1

la carpeta que se crea /home/usuario/amsn despues de hacer todo ese progreso.

¿puedo eliminar esa carpeta? o tendre problemas con el amsn al eliminar la carpeta

+1
0
-1

ACS275

 

Imagen de ACS275
+1
0
-1

la carpeta que se crea /home/usuario/amsn despues de hacer todo ese progreso.

¿puedo eliminar esa carpeta? o tendre problemas con el amsn al eliminar la carpeta

+1
0
-1

ACS275

 

Imagen de ACS275
+1
0
-1

la carpeta que se crea /home/usuario/amsn despues de hacer todo ese progreso.

¿puedo eliminar esa carpeta? o tendre problemas con el amsn al eliminar la carpeta

+1
0
-1

ACS275

 

Imagen de Lehmer
+1
0
-1

Si, se puede borrar sin problemas, es una temporal para tener todo recogidito y saber dnd lo tienes.

+1
0
-1
Imagen de ordarkz
+1
0
-1

ya hice todo lo del tuto y si se instalo todo, pero cuando le doy en aplicaciones-internet-amsn, hace como que lo quiere abrir pero, no lo abre, y desaparece la ventana...me puedes decir si es que hice algo mal, en la instalacion de los paquetes no me mostro nada de errores.. o tengo q activar algo en synaptic?

+1
0
-1
Imagen de Lehmer
+1
0
-1

Llama desde terminal tecleando

amsn

y me cuentas qué te devuelve como error

+1
0
-1
Imagen de moji star
+1
0
-1

hola me muestra el siguiente error al tratar de instalar el tls1.5

a continuacion pego lo que me muestra la terminal...:::

xxx@xxx-laptop:~/.amsn/plugins/tls1.5$ sudo ./configure --with-ssl-dir=/usr
[sudo] password for xxx:
creating cache ./config.cache
configure: error: bad ssl-dir: cannot find openssl/opensslv.h under /usr/include

y la verdad ya no se que hacer.... por favor ayudenme ya que tengo instalado el amsn... pero hace unas hora al tratar de abrir el amsn me mostro un mensaje que decia que tenia que instalar el tls en la cual me indicaba que escogiera para la version de mi S.O.
y por experiencia decidi bajarlo en .tar.gz (codigo fuente) y ahora he querido compilar el tls segun lo que me indica este documento y pues lo que puse al principio es lo que me muestra,,, les agradezco su ayuda...

sin mas me despido... Feliz Navidad...
jeje espero me puedan responder hoy...

moji star co. ltd.

+1
0
-1

Moji Star

Imagen de moji star
+1
0
-1

hola amigos de la comunidad.... tengo el siguiente problema con la instalacion del tls1.5
siguiendo los paso que muestra en """como compilar amsn..." en lo que muestra la parte final con respecto al tls1.5 he seguido todos los paso pero dar la orden de dar la siguiente orden me muestra el siguiente error....:::

sig@sig-laptop:~/.amsn/plugins/tls1.5$ sudo ./configure --with-ssl-dir=/usr
loading cache ./config.cache
configure: error: bad ssl-dir: cannot find openssl/opensslv.h under /usr/include

y la verdad ya no se que hacer.... ayuda... por favor... ya tenia instalado el amsn... y funcionando pero hace unas horas trate de abrir el amsn y al hacerlo me mostro un mensaje en el cual necesitaba descargar el tls1.5 y compilarlo...
pues bien me mostro una lista segun mi S.O. pero por experiencia se que es mejor bajar la version de codigo fuente (.tar.gz)
y pues buscando como instalar dicho ... archivo me encontre con este documento... y pues ya lo demas lo saben que no he podido instalr tls1.5 y ya no se que hacer.. no entiendo el error...

imagino varias cosas... pero si me pueden ayudar...les agradezco ...
espero me puedan responder pronto...

y sino Feliz Navidad...

moji star co. ltd.

+1
0
-1

Moji Star

Imagen de moji star
+1
0
-1

hola amigos de la comunidad.... tengo el siguiente problema con la instalacion del tls1.5
siguiendo los paso que muestra en """como compilar amsn..." en lo que muestra la parte final con respecto al tls1.5 he seguido todos los paso pero dar la orden de dar la siguiente orden me muestra el siguiente error....:::

sig@sig-laptop:~/.amsn/plugins/tls1.5$ sudo ./configure --with-ssl-dir=/usr
loading cache ./config.cache
configure: error: bad ssl-dir: cannot find openssl/opensslv.h under /usr/include

y la verdad ya no se que hacer.... ayuda... por favor... ya tenia instalado el amsn... y funcionando pero hace unas horas trate de abrir el amsn y al hacerlo me mostro un mensaje en el cual necesitaba descargar el tls1.5 y compilarlo...
pues bien me mostro una lista segun mi S.O. pero por experiencia se que es mejor bajar la version de codigo fuente (.tar.gz)
y pues buscando como instalar dicho ... archivo me encontre con este documento... y pues ya lo demas lo saben que no he podido instalr tls1.5 y ya no se que hacer.. no entiendo el error...

imagino varias cosas... pero si me pueden ayudar...les agradezco ...
espero me puedan responder pronto...

y sino Feliz Navidad...

moji star

+1
0
-1

Moji Star

Imagen de Saulot
+1
0
-1

Verifica que tengas instalado el OpenSSL y que se encuentre en /usr/include.

Otra cosa, en general cuando compilas algo sólo el comando de instalar se hace como administrador (con sudo), es decir, suele ser:


./configure
make
sudo make install

Saludos.

+1
0
-1
Imagen de moji star
+1
0
-1

hola hola sigo sin poder instalar el ssl...
ya hice lo que me aconsejaste Saulot...
de revisar si tenia instalado el Openssl y bueno mi sorpresa es que tenias razon...
ahora el problema es el siguiente... ya lo instale... y para mi sorpresa sigue sin aparecer en mi carpeta /usr/include/
entonces me encuentro en las mismas...
sin poder instalar el ssl...

de verdad ya me estoy fastidiando por que al parecer es algo sencillo.. y na mas no puedo hacer nada...
por favor mas ayuda... gracias muchas gracias....

moji star co. ltd.

+1
0
-1

Moji Star

Imagen de Saulot
+1
0
-1

Busca en que directorio de /usr se encuentra el openssl. Si no esta en /usr/include/ puede que este en /usr/local/include.

Entonces tienes que cambiar la orden de configuración:

./configure --with-ssl-dir=/usr

por

./configure --with-ssl-dir=/usr/local

Si no, intenta ejecutar nada más:

./configure

Saludos.

+1
0
-1